<?php

namespace App\Http\Controllers;

use App\Models\Cidade;
use Illuminate\Http\Request;

class CidadeController extends Controller
{
    public function index()
    {
        // Busca todas as cidades do banco de dados
        $cidades = Cidade::orderBy('nome', 'ASC')->get();

        // Retorna a view com os dados
        return view('cidades.index', compact('cidades'));
    }
    public function edit($id)
    {
        // Busca a cidade pelo ID
        $cidade = Cidade::findOrFail($id);

        // Retorna a view com os dados da cidade
        return view('cidades.edit', compact('cidade'));
    }

    // Salva as alterações no banco
    public function update(Request $request, $id)
    {
        // Valida os dados do formulário
        $request->validate([
            'nome' => 'required|string|max:100',
        ]);

        // Atualiza a cidade no banco de dados
        $cidade = Cidade::findOrFail($id);
        $cidade->update([
            'nome' => $request->input('nome'),
        ]);

        // Redireciona com mensagem de sucesso
        return redirect()->route('cidades.edit', $id)->with('success', 'Cidade atualizada com sucesso!');
    }
}